Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes | Protected Member Functions
XTEA_Info Struct Reference

_ More...

`#include <tea.h>`

Inheritance diagram for XTEA_Info:

List of all members.

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)
static unsigned int | StaticGetDefaultRounds (size_t keylength)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH
static const int | DEFAULT_ROUNDS
static const int | MIN_ROUNDS
static const int | MAX_ROUNDS

## Protected Member Functions

void | ThrowIfInvalidRounds (int rounds, const Algorithm *alg)
unsigned int | GetRoundsAndThrowIfInvalid (const NameValuePairs &param, const Algorithm *alg)

## Detailed Description

_

Definition at line 52 of file tea.h.

The documentation for this struct was generated from the following file:

- tea.h